BaseArnl: ArServerHandlerMultiRobotPeer Class Reference

- Main Page
- Classes
- Related Pages
- Examples

- Class List
- Class Hierarchy
- Class Members

# ArServerHandlerMultiRobotPeer Class Reference

`#include <ArMultiRobotPeer.h>`

List of all members.

## Detailed Description

This class handles the server side of dispensing information for multi robot driving.

## Public Member Functions
| ArServerHandlerMultiRobotPeer (ArServerBase *server, ArRobot *robot, ArPathPlanningTask *pathTask, ArBaseLocalizationTask *lockTask)
void | setPrecedenceClass (int precedenceClass)
| Changes the precedence class this robot is in.
int | getPrecedenceClass (void)
| Gets the precedence class this robot is in.
void | setNewPrecedenceCallback (ArFunctor2< short, short > *newPrecedenceCallback)
| A function call called whenever precedence changes (and initially).
void | setNewFingerprintCallback (ArFunctor1< unsigned char * > *newFingerprintCallback)
| A function call called whenever fingerprint changes (and initially).
ArFunctor * | getChangeFingerprintCB (void)
| Gets a functor that will give us a new fingerprint.
void | changeFingerprint (bool lockRobot=true)
| Function that changes our fingerprint.
void | netGetFingerprint (ArServerClient *client, ArNetPacket *packet)
| This function call will get a fingerprint of the robot.
void | netAdjustPrecedence (ArServerClient *client, ArNetPacket *packet)
| This function call will adjust the precedence.
void | netRobotInfo (ArServerClient *client, ArNetPacket *packet)
| Serves up the information about the robot's location and precedence.
void | netPathInfo (ArServerClient *client, ArNetPacket *packet)
| Serves up the information about the robot's path.
void | netShortPathInfo (ArServerClient *client, ArNetPacket *packet)
| Serves up the information about the short version of robot's path.

## Constructor & Destructor Documentation

ArServerHandlerMultiRobotPeer::ArServerHandlerMultiRobotPeer | ( | ArServerBase * | server,
|  | ArRobot * | robot,
|  | ArPathPlanningTask * | pathTask,
|  | ArBaseLocalizationTask * | lockTask |
| ) |  |  |